<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!-- Импорты -->
<xsl:import href="./src/components/Index/Index.xsl" />


<!-- Базовый шаблон -->
<xsl:template match="/">
	<html lang="ru">
		<head>
			<title>Default 2</title>
			<meta charset="utf-8" />
			<meta http-equiv="X-UA-Compatible" content="IE=edge" />
			<meta name="viewport" content="width=device-width, initial-scale=1" />
			<link rel="stylesheet" href="/assets/css/app.css" />
		</head>

		<body>
			<xsl:apply-templates select="Index" />
			<script src="https://cdn.polyfill.io/v2/polyfill.js?features=default,fetch"></script>
			<script src="/assets/js/app.js"></script>
		</body>
	</html>
</xsl:template>

<!--
	Идентичное преобразование
-->
<xsl:template match="*" priority="0.5">
	<xsl:element name="{name()}">
		<xsl:apply-templates select="* | @* | text()" />
	</xsl:element>
</xsl:template>

<xsl:template match="@*" priority="0.5">
	<xsl:attribute name="{name()}">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>


</xsl:stylesheet>